Bug 838334 - libdb-5.3.21-1.fc18 is FTBFS on ARM
libdb-5.3.21-1.fc18 is FTBFS on ARM
Product: Fedora
Classification: Fedora
Component: libdb (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
Reported: 2012-07-08 09:31 EDT by Peter Robinson
Modified: 2013-07-02 19:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: libdb-5.3.21-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-16 06:50:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-07-08 09:31:49 EDT
libdb-5.3.21-1.fc18 has regressed building on ARM. 

libdb-5.3.15 built just fine as have all previous 5.3.x releases on rawhide

failed build:

relevant bit of build.
+ test -d dist/dist-tls
+ mkdir dist/dist-tls
+ /bin/sh libtool --mode=compile armv7hl-redhat-linux-gnueabi-gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -Idb.1.85/PORT/linux/include -D_REENTRANT -c util/db_dump185.c -o dist/dist-tls/db_dump185.lo
libtool: compile: unable to infer tagged configuration
libtool: compile: specify a tag with `--tag'
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.mzGDFn (%build)
    Bad exit status from /var/tmp/rpm-tmp.mzGDFn (%build)
Child returncode was: 1

Note You need to log in before you can comment on or make changes to this bug.